Bug 204882 - Cancelling cover manager does not work
Summary: Cancelling cover manager does not work
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Applications
Component: general (show other bugs)
Version: 2.3-GIT
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: 2.2.2
Assignee: Amarok Developers
URL:
Keywords: release_blocker
Depends on:
Blocks:
 
Reported: 2009-08-23 17:25 UTC by Claus Appel
Modified: 2009-12-22 12:27 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Claus Appel 2009-08-23 17:25:27 UTC
Version:           2.1.1 (using 4.2.4 (KDE 4.2.4), 4.2.4-6.fc11 Fedora)
Compiler:          gcc
OS:                Linux (i686) release 2.6.29.6-217.2.3.fc11.i586

When opening the Amarok cover manager (Tools -> Cover Manager), it pops up with a progress bar and a "Cancel" button. This "Cancel" button does not work. Clicking it does not cancel anything. I have to wait until the cover manager is fully loaded before I can close it.
Comment 1 Mikko C. 2009-08-23 18:14:04 UTC
Confirmed in git master of today.
Comment 2 Kolja 2009-09-15 00:18:39 UTC
I made a simple patch for this. 

http://gitorious.org/amarok/amarok/merge_requests/1512
Comment 3 Mark Kretschmann 2009-09-30 15:33:05 UTC
This patch doesn't work here, sorry. Pressing "Cancel" does nothing at all.
Comment 4 Myriam Schweingruber 2009-11-16 17:50:20 UTC
Any news on this? The "Cancel" button when loading the thumbnails still doesn't work.
Comment 5 Myriam Schweingruber 2009-11-30 16:40:47 UTC
Setting keyword
Comment 6 Nikolaj Hald Nielsen 2009-12-22 12:27:17 UTC
commit 8e07631d40e6eee6edb3ec03e9e407e82c49e2e0
Author: Nikolaj Hald Nielsen <nhn@kde.org>
Date:   Tue Dec 22 09:27:26 2009 +0100

    Make the "cancel" button when loading thumbnails in the cover manager work.
    The issue was that the not processing events in every iteration apparently made most user events simply dissapear.
    The more frequent processing caused secere flickering in the actual cover view when loading the items, so as a workaround, a dummy empty view is shown untill all covers have been loaded (or the cancel button is pressed).
    This has the added benefit of making cover loading significantly faster.
    BUG: 204882